tests: avoid bash in shebang and fix wrong "==" in test
authorBjörn Jacke <bj@sernet.de>
Thu, 2 Dec 2010 09:20:59 +0000 (10:20 +0100)
committerBjoern Jacke <bj@sernet.de>
Thu, 2 Dec 2010 09:36:06 +0000 (10:36 +0100)
lib/subunit/shell/tests/test_function_output.sh
lib/subunit/shell/tests/test_source_library.sh
source3/script/tests/test_smbclient_s3.sh

index b78eee6946e87ffc5dc478c79af4ee7e88b232db..6e500cff5ca5e6e4bf07d20c352e8ab21af8a06c 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #  subunit shell bindings.
 #  Copyright (C) 2006  Robert Collins <robertc@robertcollins.net>
 #
@@ -29,7 +29,7 @@
 echo 'test: subunit_start_test output'
 func_output=$(subunit_start_test "foo bar")
 func_status=$?
-if [ $func_status == 0 -a "x$func_output" = "xtest: foo bar" ]; then
+if [ $func_status -eq 0 -a "x$func_output" = "xtest: foo bar" ]; then
   echo 'success: subunit_start_test output'
 else
   echo 'failure: subunit_start_test output ['
@@ -42,7 +42,7 @@ fi
 subunit_start_test "subunit_pass_test output"
 func_output=$(subunit_pass_test "foo bar")
 func_status=$?
-if [ $func_status == 0 -a "x$func_output" = "xsuccess: foo bar" ]; then
+if [ $func_status -eq 0 -a "x$func_output" = "xsuccess: foo bar" ]; then
   subunit_pass_test "subunit_pass_test output"
 else
   echo 'failure: subunit_pass_test output ['
@@ -60,7 +60,7 @@ here
 END
 )
 func_status=$?
-if [ $func_status == 0 -a "x$func_output" = "xfailure: foo bar [
+if [ $func_status -eq 0 -a "x$func_output" = "xfailure: foo bar [
 something
   wrong
 here
@@ -82,7 +82,7 @@ here
 END
 )
 func_status=$?
-if [ $func_status == 0 -a "x$func_output" = "xerror: foo bar [
+if [ $func_status -eq 0 -a "x$func_output" = "xerror: foo bar [
 something
   died
 here
index 699f1281bc94356ee96b603fb437564279e5e3c6..3ef6ffeb362a25809aad7103500e9f5eb8c15347 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #  subunit shell bindings.
 #  Copyright (C) 2006  Robert Collins <robertc@robertcollins.net>
 #
@@ -24,7 +24,7 @@
 echo 'test: shell bindings can be sourced'
 # if any output occurs, this has failed to source cleanly
 source_output=$(. ${SHELL_SHARE}subunit.sh 2>&1)
-if [ $? == 0 -a "x$source_output" = "x" ]; then
+if [ $? -eq 0 -a "x$source_output" = "x" ]; then
   echo 'success: shell bindings can be sourced'
 else
   echo 'failure: shell bindings can be sourced ['
@@ -40,7 +40,7 @@ fi
 echo 'test: subunit_start_test exists'
 found_type=$(type -t subunit_start_test)
 status=$?
-if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
   echo 'success: subunit_start_test exists'
 else
   echo 'failure: subunit_start_test exists ['
@@ -54,7 +54,7 @@ fi
 echo 'test: subunit_pass_test exists'
 found_type=$(type -t subunit_pass_test)
 status=$?
-if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
   echo 'success: subunit_pass_test exists'
 else
   echo 'failure: subunit_pass_test exists ['
@@ -68,7 +68,7 @@ fi
 echo 'test: subunit_fail_test exists'
 found_type=$(type -t subunit_fail_test)
 status=$?
-if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
   echo 'success: subunit_fail_test exists'
 else
   echo 'failure: subunit_fail_test exists ['
@@ -82,7 +82,7 @@ fi
 echo 'test: subunit_error_test exists'
 found_type=$(type -t subunit_error_test)
 status=$?
-if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
   echo 'success: subunit_error_test exists'
 else
   echo 'failure: subunit_error_test exists ['
@@ -96,7 +96,7 @@ fi
 echo 'test: subunit_skip_test exists'
 found_type=$(type -t subunit_skip_test)
 status=$?
-if [ $status == 0 -a "x$found_type" = "xfunction" ]; then
+if [ $status -eq 0 -a "x$found_type" = "xfunction" ]; then
   echo 'success: subunit_skip_test exists'
 else
   echo 'failure: subunit_skip_test exists ['
index 2260903312730aa54e402ab1cd4d0e30dbf6834c..a56727449cedf08788647cd1c4b37f56c2f00b04 100755 (executable)
@@ -380,7 +380,7 @@ test_ccache_access()
        -c quit 2>&1
     ret=$?
 
-    if [ $ret == 0 ] ; then
+    if [ $ret -eq 0 ] ; then
        echo "smbclient succeeded with wrong cached credentials"
        false
        return